# Class PatientLocationAction

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents an action related to the location of a patient.

    public class PatientLocationAction

Inheritance
  object
  PatientLocationAction

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This type encapsulates an operation or behavior associated with managing or interacting with a patient's location information.

## Properties

### Action

    public ActionsEnum.ResourceAction? Action { get; set; }

#### Property Value

ActionsEnum.ResourceAction?

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

## Methods

### Apply(List<PatientLocationAction>?)

Applies a collection of PatientLocationAction entries to produce the resulting set of PatientLocation records.

    public static List<PatientLocation>? Apply(List<PatientLocationAction>? actions)

#### Parameters

`actions` List<PatientLocationAction>

  The list of patient location actions to apply. May be `null`.

#### Returns

List<PatientLocation>

  The resulting List<T> produced by applying the actions, or `null` if no locations are produced.

### Apply(List<PatientLocation>?, List<PatientLocationAction>?)

Applies a list of PatientLocationAction entries to a source list of PatientLocation objects, supporting add, delete, and update operations, and returns the resulting list or null when empty.

    public static List<PatientLocation>? Apply(List<PatientLocation>? source, List<PatientLocationAction>? actions)

#### Parameters

`source` List<PatientLocation>

  The list of patient locations to mutate. If null, an empty list is used.

`actions` List<PatientLocationAction>

  The actions to apply to the source list. If null, no actions are applied; actions with a null `Location` are skipped.

#### Returns

List<PatientLocation>

  The resulting list of PatientLocation after applying the actions, or null if the list is empty.